## org.apache.mahout.math.hadoop.similarity.cooccurrence.measures
Class LoglikelihoodSimilarity

    java.lang.Object
      org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.CountbasedMeasure
          org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.LoglikelihoodSimilarity

All Implemented Interfaces:
  VectorSimilarityMeasure

    public class LoglikelihoodSimilarity

extends CountbasedMeasure

Field Summary

Fields inherited from interface org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.VectorSimilarityMeasure
`NO_NORM`

Constructor Summary
`LoglikelihoodSimilarity()`

Method Summary
`double` `similarity(double summedAggregations, double normA, double normB, int numberOfColumns)`

Methods inherited from class org.apache.mahout.math.hadoop.similarity.cooccurrence.measures.CountbasedMeasure
`aggregate, consider, norm, normalize`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### LoglikelihoodSimilarity

    public LoglikelihoodSimilarity()

Method Detail

### similarity

    public double similarity(double summedAggregations,
                             double normA,
                             double normB,
                             int numberOfColumns)

Copyright © 2008–2014 The Apache Software Foundation. All rights reserved.